import { test, expect } from '@playwright/test';
import * as workflowUtil from 'im-workflow-util';

const TARGET_FLOW_ID = 'cb_235699_flow'
const APPLY_USER_CD = 'aoyagi'
const CONFIRM_USER = 'hayashi'
const TARGET_NODE_ID = 'confirm'

test('test', async ({ page }) => {

  // システム案件IDの取得
  const systemMatterId = await workflowUtil.getSystemMatterIdFromActive(TARGET_FLOW_ID, APPLY_USER_CD);

  // 確認画面へ遷移
  const confirmPageUrl = 'im_workflow/user/confirm/confirm_direct/' + systemMatterId + '/' + TARGET_NODE_ID;
  await page.goto(confirmPageUrl);

  // 処理モーダルで確認処理
  await page.getByRole('button', { name: '確認' }).click();
  await page.locator('#im-workflow-confirm-modal').getByRole('button', { name: '確認' }).click();
  await page.getByRole('button', { name: 'はい' }).click();

  // 確認対象ユーザの状態確認
  expect(await workflowUtil.isUserConfirmed(systemMatterId, CONFIRM_USER, 3000)).toBeTruthy()

});